Documentation Index
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
curl --request POST \
--url https://api.antei.com/vendors \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"exempt": true,
"email": "jsmith@example.com"
}
'import requests
url = "https://api.antei.com/vendors"
payload = {
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"exempt": True,
"email": "jsmith@example.com"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
country: '<string>',
tax_id: '<string>',
exempt: true,
email: 'jsmith@example.com'
})
};
fetch('https://api.antei.com/vendors', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"country": "<string>",
"tax_id": "<string>",
"exempt": true,
"email": "jsmith@example.com"
}Create a new vendor by providing basic details like name and country.
name and country are required.
You can also provide tax ID and exemption status, which are useful for compliance tracking.Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Vendor created
Unique identifier for the vendor
Vendor's legal or trading name
Country of vendor operation
Vendor's tax identification number
Indicates whether the vendor is tax exempt
Vendor's contact email